This API allows apps to retrieve menus for a given location
Menu API (1.0)
- Productionhttps://api.tyro.com/connect/menus/{tcLocationId}/app/sync
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.tyro.com/connect/menus/{tcLocationId}/app/sync' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'- Productionhttps://api.tyro.com/connect/menus/{tcLocationId}/app/published
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.tyro.com/connect/menus/{tcLocationId}/app/published' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'The published menu response
A list of objects that describe the different items available within the menu
ID for the item that is unique to the menu.
Customer facing name or short description of the item.
Customer facing, long description of the item.
The amount and currency of the item
A URL pointing to an image, which could either be a default image or an override image. To avoid any issues with copyright over images, we have provided the ability to supply a default image as well as the ability to override the default image with a different image for a specific partner. Set the 'default' field to be the URL used by default for all Apps. Provide additional fields for Apps where the default URL should be overridden. For example providing a URL for a field named "doordash" will mean that menus published to DoorDash will use that URL instead of the 'default' URL. The complete list of Apps that you can nominate are:
- DOORDASH
- HUBSTER
A list of objects that describe the different sections of the menu
A list of ids referencing the timeslots that this section will be available within
A list of ids referencing the menu items that are available within this section - only parent items will be referenced here, not items that are used as modifiers
A list of objects that describe the time periods that different sections of the menu can be made available within
A list of objects that describe the different modifier groups that will be available to the merchant within the portal to apply to different sections
The name of the modifier group will correspond to the name of any item.options that reference items contained within the modifier group
This number represents the minimum number of items within this modifier group that a user will have to select if they are applied to an item
A list of objects whose id's reference items that belong to this modifierGroup
{ "items": [ { … } ], "sections": [ { … } ], "timeSlots": [ { … } ], "modifierGroups": [ { … } ] }